Bug 2258677 (CVE-2023-45229) - CVE-2023-45229 edk2: Integer underflow when processing IA_NA/IA_TA options in a DHCPv6 Advertise message
Summary: CVE-2023-45229 edk2: Integer underflow when processing IA_NA/IA_TA options in...
Keywords:
Status: NEW
Alias: CVE-2023-45229
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2258680 2258679
Blocks: 2258683
TreeView+ depends on / blocked
 
Reported: 2024-01-17 02:25 UTC by Nick Tait
Modified: 2024-05-22 09:35 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability has been identified in the NetworkPkg IP stack of EDK2, the open-source reference implementation of the UEFI specification. This flaw enables an unauthenticated attacker within the same network vicinity to transmit a specifically crafted DHCPv6 message. Exploiting this vulnerability may result in unauthorized access to memory beyond its boundaries, potentially leading to the exposure of sensitive information.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2024:2264 0 None None None 2024-04-30 09:57:46 UTC
Red Hat Product Errata RHSA-2024:3017 0 None None None 2024-05-22 09:35:38 UTC

Comment 1 Nick Tait 2024-01-17 02:33:42 UTC
Created edk2 tracking bugs for this issue:

Affects: epel-all [bug 2258680]
Affects: fedora-all [bug 2258679]

Comment 3 errata-xmlrpc 2024-04-30 09:57:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:2264 https://access.redhat.com/errata/RHSA-2024:2264

Comment 4 errata-xmlrpc 2024-05-22 09:35:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:3017 https://access.redhat.com/errata/RHSA-2024:3017


Note You need to log in before you can comment on or make changes to this bug.